// Имитатор кнопки Назад
// ---------------------
function BackRU()
{
  window.history.back();
  return false;
}

function emptyf()
{
  return false;
}

// -- Заголовочная часть с меткой --
// ind -- 0 для главной
// ---------------------------------
function titleWeb(ind)
{
  var str = "<DIV class=titbook><A ";
  if (ind==0) str += "-";
  str += "href='index.htm'><IMG src='pic/title.png' width=760 height=129 border=0 hspace=0 vspace=0 alt='Роботландия' title='Роботландия'></A>";
  str += "<DIV class=link title='Сайт Роботландии'><A href='http://www.botik.ru/~robot/'>www.botik.ru/~robot</A></DIV></DIV>";
  document.write(str);
}


// Авторская подпись 
// -----------------
function signRU()
{
  var str = '<DIV class=sign>&copy; 2008, 14 сентября | Александр Александрович Дуванов | <A href="mailto:kurs@robotland.pereslavl.ru">kurs@robotland.pereslavl.ru</A></DIV>';
  document.write(str);
}

// ----
// Меню
// ----

// ----------
// Пункт меню
// ----------
// name    -- название позиции       
// link    -- ссылка               
// title   -- всплывающая надпись 
// -----------------------------
function ItemMenu (name, link, title)
{
  // свойства объекта
  this.name    = name;    // название позиции
  this.link    = link;    // ссылка
  this.title   = title;   // всплывающая надпись
}

// Пункты меню
// -----------

var ItemsMenu = new Array (
  new Array (new ItemMenu("начало", "index.htm", "Начало"), null),

  new Array (new ItemMenu("продукты роботландии",  "01.htm", "Современные продукты Роботландии"), null),

  new Array (new ItemMenu("роботландский университет",  "02.htm", "Роботландский университет"), null),

  new Array (new ItemMenu("автор",  "author.htm", "Автор продуктов Роботландии"), null)
                         );

// Построение меню
// Входные параметры:
// item1  -- номер отмеченной позиции в меню первого уровня
// item2  -- номер отмеченной позиции в меню второго уровня или -1
// title3 -- название текущей страницы для хлебных крошек или "" 
// pos    -- положение меню: "up" -- сверху  
function putMenu(item1, item2, title3, pos)
{
  var str  = ""; // меню
  var str1 = ""; // меню первого уровня
  var str2 = ""; // меню второго уровня
  var str3 = ""; // хлебные крошки
  var i;
  
  // Меню первого уровня
  for (i=0; i<ItemsMenu.length; i++)
  {
    if (i==item1 && item2==-1 && !(title3 != "" && item2 == -1)) str1 += ItemsMenu[i][0].name;
    else 
    {
      if (i==item1) str1 += "<SPAN class=father>";
      str1 += "<A href='" +  ItemsMenu[i][0].link + "' title='" + ItemsMenu[i][0].title + "'>" +
           ItemsMenu[i][0].name + "</A>";
      if (i==item1) str1 += "</SPAN>";
    }
    if (i != ItemsMenu.length-1) str1 += " | ";
  }

  // Меню второго уровня
  if (item2 != -1)  
  {
    for (i=0; i<ItemsMenu[item1][1].length; i++)
    {
      if (i==item2 && title3=="") str2 += ItemsMenu[item1][1][i].name;
      else 
      {
        if (i==item2) str2 += "<SPAN class=father>";
        str2 += "<A href='" +  ItemsMenu[item1][1][i].link + "' title='" + ItemsMenu[item1][1][i].title + "'>" +
             ItemsMenu[item1][1][i].name + "</A>";
        if (i==item2) str2 += "</SPAN>";
      }
      if (i != ItemsMenu[item1][1].length-1) str2 += " | ";
    }
  }

  // Хлебные крошки
  if (title3 != "" && item2 == -1)
  {
    str3 += "<A href='" +  ItemsMenu[0][0].link + "' title='" + ItemsMenu[0][0].title + "'>" +
         ItemsMenu[0][0].name + "</A>";
    str3 += "&nbsp;&rarr;&nbsp;"+title3;
  } 
  else if (title3 != "")
  {
    str3 += "<A href='" +  ItemsMenu[0][0].link + "' title='" + ItemsMenu[0][0].title + "'>" +
         ItemsMenu[0][0].name + "</A>";
    str3 +="&nbsp;&rarr;&nbsp;";
    str3 +="<A href='" +  ItemsMenu[item1][0].link + "' title='" + ItemsMenu[item1][0].title + "'>" +
         ItemsMenu[item1][0].name + "</A>";
    str3 +="&nbsp;&rarr;&nbsp;";
    str3 += "<A href='" +  ItemsMenu[item1][1][item2].link + "' title='" + ItemsMenu[item1][1][item2].title + "'>" +
         ItemsMenu[item1][1][item2].name + "</A>";
    str3 += "&nbsp;&rarr;&nbsp;"+title3;
  }

  // Вывод меню

  str += "<DIV class=menu>"
  if (pos=="up")
  {
    str += str1;
    if (str2 != "") str += "<BR>"+str2;
    if (str3 != "") str += "<BR>"+str3;
  }
  else
  {
    if (str3 != "") str += str3+"<BR>";
    if (str2 != "") str += str2+"<BR>";
    str += str1;
  }
  str += "</DIV>"

  document.write(str);
}
